From: Shengjing Zhu <zhsj@debian.org>
Date: Sun, 21 Jun 2020 21:19:16 +0800
Subject: fix ugorji/go compatibility

---
 packer-plugin-sdk/rpc/client.go | 1 -
 packer-plugin-sdk/rpc/server.go | 1 -
 2 files changed, 2 deletions(-)

diff --git a/packer-plugin-sdk/rpc/client.go b/packer-plugin-sdk/rpc/client.go
index e0d3f01..0ac8135 100644
--- a/packer-plugin-sdk/rpc/client.go
+++ b/packer-plugin-sdk/rpc/client.go
@@ -44,7 +44,6 @@ func newClientWithMux(mux *muxBroker, streamId uint32) (*Client, error) {
 	}
 
 	h := &codec.MsgpackHandle{
-		RawToString: true,
 		WriteExt:    true,
 	}
 	clientCodec := codec.GoRpc.ClientCodec(clientConn, h)
diff --git a/packer-plugin-sdk/rpc/server.go b/packer-plugin-sdk/rpc/server.go
index 99a58c0..ce1dfcb 100644
--- a/packer-plugin-sdk/rpc/server.go
+++ b/packer-plugin-sdk/rpc/server.go
@@ -142,7 +142,6 @@ func (s *Server) Serve() {
 	defer stream.Close()
 
 	h := &codec.MsgpackHandle{
-		RawToString: true,
 		WriteExt:    true,
 	}
 	rpcCodec := codec.GoRpc.ServerCodec(stream, h)
